using System;
using System.Text;

namespace jej
{
    class Program
    {
        static void Main(string[] args)
        {
            int t = int.Parse(Console.ReadLine());
            for (int i = 0; i < t; i++)
            {
                string[] s = Console.ReadLine().Split();
                int n = int.Parse(s[0]);
                int m = int.Parse(s[1]);
                int k = int.Parse(s[2]);
                int min = 0;
                for (int j = 1; j <= n / k; j++)
                {
                    min += j * k;
                }
                min += (n % k) * (n % k + 1);
                if (m >= min) Console.WriteLine("tak");
                else Console.WriteLine("nie");
            }
        }
    }
}